@font-face {
    font-family: 'Droid Sans';
    src: url("../fonts/droidsans.woff2");
    font-display: swap;
}
* { padding: 0; margin: 0; }

body, html
{
    width: 100%;
    height: 100%;
    font-family: "Droid Sans", arial, verdana, sans-serif;
    font-weight: 700;
    color: #ff6;
    background-color: #000;
    overflow: hidden;
}


.titles
{
    position: absolute;
    width: 18em;
    height: 50em;
    bottom: 0;
    left: 50%;
    margin-left: -9em;
    font-size: 350%;
    text-align: justify;
    overflow: hidden;
    -webkit-transform-origin: 50% 100%;
    -moz-transform-origin: 50% 100%;
    -ms-transform-origin: 50% 100%;
    -o-transform-origin: 50% 100%;
    transform-origin: 50% 100%;
    -webkit-transform: perspective(300px) rotateX(25deg);
    -moz-transform: perspective(300px) rotateX(25deg);
    -ms-transform: perspective(300px) rotateX(25deg);
    -o-transform: perspective(300px) rotateX(25deg);
    transform: perspective(300px) rotateX(25deg);
}

.titles:after
{
    position: absolute;
    content: ' ';
    left: 0;
    right: 0;
    top: 0;
    bottom: 60%;
    background-image: -webkit-linear-gradient(top, rgba(0,0,0,1) 0%, transparent 100%);
    background-image: -moz-linear-gradient(top, rgba(0,0,0,1) 0%, transparent 100%);
    background-image: -ms-linear-gradient(top, rgba(0,0,0,1) 0%, transparent 100%);
    background-image: -o-linear-gradient(top, rgba(0,0,0,1) 0%, transparent 100%);
    background-image: linear-gradient(top, rgba(0,0,0,1) 0%, transparent 100%);
    pointer-events: none;
}

.titles p
{
    text-align: justify;
    margin: 0.8em 0;
}

.titles p.center
{
    text-align: center;
}

.titles a
{
    color: #ff6;
    text-decoration: underline;
}

.title-content
{
    position: absolute;
    top: 100%;
    -webkit-animation: scroll 30s linear 2s infinite;
    -moz-animation: scroll 30s linear 2s infinite;
    -ms-animation: scroll 30s linear 2s infinite;
    -o-animation: scroll 30s linear 2s infinite;
    animation: scroll 30s linear 2s infinite;
}

/* animation */
@-webkit-keyframes scroll {
    0% { top: 100%; }
    100% { top: -30%; }
}

@-moz-keyframes scroll {
    0% { top: 100%; }
    100% { top: -30%; }
}

@-ms-keyframes scroll {
    0% { top: 100%; }
    100% { top: -30%; }
}

@-o-keyframes scroll {
    0% { top: 100%; }
    100% { top: -30%; }
}

@keyframes scroll {
    0% { top: 100%; }
    100% { top: -30%; }
}